Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface B2BBaseMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  B2BConfigMBean

public interface B2BBaseMBean
extends weblogic.management.configuration.ConfigurationMBean

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`Object` | `clone(String name)` Makes a deep copy of the Business Protocol with the name passed.
`void` | `delete()` Delete the object
`void` | `fromXML(String xmlString)` Take XML representation of a child MBean and its children
`Object` | `getDelegateObject()`
`void` | `publish(int publishType, int eventType)` publishes an update event across the cluster 'publishType' allows for deep or shallow or refresh update events and 'eventType' is the event to be published Internal Use Only - The internal object for this Bean
`void` | `setDelegateObject(Object o)`
`String` | `toXML()` XML representation for the current and its subchild
`String` | `toXMLInternal(boolean useNamespace, boolean deepFetch)` Specifies the xml representation of an MBean object.
`void` | `update()` Updates the .
`void` | `updateInternal(int publishType)` Update functionality is similar to the 'update' method cluster-wide update propagation will happen based on publishType value Internal Use Only - The internal object for this Bean

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### update

    public void update()
                throws B2BConfigurationException

  Updates the .

  Throws:
    `B2BConfigurationException`

### updateInternal

    public void updateInternal(int publishType)
                        throws B2BConfigurationException

  Update functionality is similar to the 'update' method cluster-wide update propagation will happen based on publishType value Internal Use Only - The internal object for this Bean

  Throws:
    `B2BConfigurationException`

### publish

    public void publish(int publishType,
                        int eventType)
                 throws B2BConfigurationException

  publishes an update event across the cluster 'publishType' allows for deep or shallow or refresh update events and 'eventType' is the event to be published Internal Use Only - The internal object for this Bean

  Throws:
    `B2BConfigurationException`

### toXMLInternal

    public String toXMLInternal(boolean useNamespace,
                                boolean deepFetch)
                         throws B2BConfigurationException

  Specifies the xml representation of an MBean object. The output xml is in conformance to the TPM XML schema. Internal Use Only - The internal object for this Bean

  Throws:
    `B2BConfigurationException`

### toXML

    public String toXML()
                 throws B2BConfigurationException

  XML representation for the current and its subchild

  Throws:
    `B2BConfigurationException`

### fromXML

    public void fromXML(String xmlString)
                 throws B2BConfigurationException

  Take XML representation of a child MBean and its children

  Throws:
    `B2BConfigurationException`

### clone

    public Object clone(String name)
                 throws B2BConfigurationException

  Makes a deep copy of the Business Protocol with the name passed.

  Parameters:
    `name` - name for the new Business Protocol.
  Returns:
    java.lang.Object - The new object.
  Throws:
    `B2BConfigurationException`

### delete

    public void delete()
                throws B2BConfigurationException

  Delete the object

  Throws:
    `B2BConfigurationException`

### setDelegateObject

    public void setDelegateObject(Object o)

### getDelegateObject

    public Object getDelegateObject()
                             throws B2BConfigurationException

  Throws:
    `B2BConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD